import { OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { Observable } from 'rxjs';
export interface IStep {
    title: string;
    subtitle?: string;
    onClick?: {
        (): Observable<any>;
    };
    routerLink?: any[];
    count?: {
        (): number;
    };
    isCompleted?: boolean | {
        (): boolean;
    };
    isValid?: boolean | {
        (): boolean;
    };
    isCurrent?: boolean;
}
export interface IConfiguredStep extends IStep {
    isActive: boolean;
    isLoading: boolean;
    getCompleted(): boolean;
    getValid(): boolean;
}
export declare class MultiStepIndicatorComponent implements OnInit {
    steps: IConfiguredStep[];
    numbered: boolean;
    checked: boolean;
    private router;
    constructor(router: Router);
    ngOnInit(): void;
    onClick(step: IConfiguredStep): Observable<void>;
    anyLoading(): boolean;
    private configureSteps();
    private redirectToState(step);
    private clearCurrentState();
    private getIsCompleted(step);
    private setIsCompleted(step, isCompleted);
    private getIsValid(step);
}
